<?php
/**
 * FeedPlatformEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\FeedClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Feed
 *
 * Ensi Feed
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\FeedClient\Dto;
use \Ensi\FeedClient\ObjectSerializer;

/**
 * FeedPlatformEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные платформы. Расшифровка значений:   * &#x60;1&#x60; - Яндекс.Маркет   * &#x60;2&#x60; - Яндекс.Директ
 * @package  Ensi\FeedClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class FeedPlatformEnum
{
    
    /** Яндекс.Маркет */
    public const YANDEX_MARKET = 1;
    
    /** Яндекс.Директ */
    public const YANDEX_DIRECT = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::YANDEX_MARKET,
            self::YANDEX_DIRECT,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::YANDEX_MARKET => 'Яндекс.Маркет',
            self::YANDEX_DIRECT => 'Яндекс.Директ',
        ];
    }
}


